# Uses of Class
org.apache.sysds.runtime.matrix.operators.ReorgOperator

Packages that use ReorgOperator
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.lib
org.apache.sysds.runtime.instructions.spark.utils
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of ReorgOperator in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type ReorgOperator
Modifier and Type
Method
Description
`MatrixBlock`
CompressedMatrixBlock.`reorgOperations(ReorgOperator op, MatrixValue ret, int startRow, int startColumn, int length)`

## Uses of ReorgOperator in org.apache.sysds.runtime.compress.lib

Methods in org.apache.sysds.runtime.compress.lib with parameters of type ReorgOperator
Modifier and Type
Method
Description
`static MatrixBlock`
CLALibReorg.`reorg(CompressedMatrixBlock cmb, ReorgOperator op, MatrixBlock ret, int startRow, int startColumn, int length)`

## Uses of ReorgOperator in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils with parameters of type ReorgOperator
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock>`
RDDSortUtils.`sortDataByValMemSort(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> val, org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> data, boolean asc, long rlen, long clen, int blen, SparkExecutionContext sec, ReorgOperator r_op)`
This function collects and sorts value column in memory and then broadcasts it.

## Uses of ReorgOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type ReorgOperator
Modifier and Type
Method
Description
`static boolean`
LibMatrixReorg.`isSupportedReorgOperator(ReorgOperator op)`
`static MatrixBlock`
LibMatrixReorg.`reorg(MatrixBlock in, MatrixBlock out, ReorgOperator op)`
`static MatrixBlock`
LibMatrixReorg.`reorgInPlace(MatrixBlock in, ReorgOperator op)`
`MatrixBlock`
MatrixBlock.`reorgOperations(ReorgOperator op, MatrixValue ret, int startRow, int startColumn, int length)`
`MatrixValue`
MatrixCell.`reorgOperations(ReorgOperator op, MatrixValue result, int startRow, int startColumn, int length)`
`abstract MatrixValue`
MatrixValue.`reorgOperations(ReorgOperator op, MatrixValue result, int startRow, int startColumn, int length)`
`MatrixValue`
WeightedCell.`reorgOperations(ReorgOperator op, MatrixValue result, int startRow, int startColumn, int length)`

## Uses of ReorgOperator in org.apache.sysds.runtime.matrix.operators

Methods in org.apache.sysds.runtime.matrix.operators that return ReorgOperator
Modifier and Type
Method
Description
`ReorgOperator`
ReorgOperator.`setFn(IndexFunction fn)`